Bug 196531 - Review Request: perl-MP3-Info - Manipulate / fetch info from MP3 audio files
Review Request: perl-MP3-Info - Manipulate / fetch info from MP3 audio files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-23 22:53 EDT by Christopher Stone
Modified: 2008-05-31 19:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 15:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-23 22:53:11 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/perl-MP3-Info.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/perl-MP3-Info-1.20-1.src.rpm

Description:
This module is used for getting info out of and into MP3 files.
Comment 1 Jason Tibbitts 2006-06-26 11:12:51 EDT
Builds fine in mock and rpmlint is silent.

Note that BuildRequires: perl is not necessary.

I see no blockers; everything looks good.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream. 
* source files match upstream:
   ffb3427089a6b5f56e35e5b2ab902d29  MP3-Info-1.20.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(MP3::Info) = 1.20
   perl-MP3-Info = 1.20-1.fc6
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(bytes)
   perl(overload)
   perl(strict)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=246,  1 wallclock secs ( 0.23 cusr +  0.08 csys =  0.31 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Christopher Stone 2006-06-26 15:47:43 EDT
Built on devel, will build on FC-4 FC-5 after sync.
Comment 3 Christopher Stone 2008-05-31 13:43:13 EDT
Package Change Request
======================
Package Name: perl-MP3-Info
New Branches: EL-5
Comment 4 Kevin Fenzi 2008-05-31 19:07:02 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.